<script setup lang="ts">
import { onMounted } from 'vue'
import PromotionsTable from './PromotionTables.vue'
import { usePermissionStore } from '@/stores/permission'
import { usePromotionStore } from '@/stores/promotion'
import { useProductStore } from '@/stores/product'
const permissionStore = usePermissionStore()

onMounted(async () => {
  if (!permissionStore.isEmp()) {
    permissionStore.pushMember()
  }
})
const promotionStore = usePromotionStore()
const productStore = useProductStore()
onMounted(async () => {
  await promotionStore.getPromotions()
  await productStore.getProducts()
  console.log('finish')
})
</script>
<template>
    <v-toolbar flat style="background-color: #282828; color: white">
          <v-toolbar-title>PROMOTION</v-toolbar-title>
          <v-spacer></v-spacer>
          <v-text-field
          v-model="promotionStore.search"
            prepend-inner-icon="mdi-magnify"
            density="compact"
            label="Search"
            single-line
            flat
            hide-details
            variant="solo-filled"
            style="width: 1px; margin-left: 0px"
          >
          </v-text-field>
          <v-btn
              prepend-icon="mdi-plus"
              style="margin-left: 20px; background-color: #c7a17a; color: white"
              @click="promotionStore.dialogType = true"
              >Promotion Add</v-btn
            >
    </v-toolbar>


    <v-row>
      <v-col>
        <PromotionsTable></PromotionsTable>
      </v-col>
      <!-- <v-sheet
        width="1250"
        height="526"
        style="background-color: #e7d0b9; border: rgb(112, 73, 31) solid 3px"
      > -->
        
      <!-- </v-sheet> -->
    </v-row>
    
</template>
